<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.tashow.cloud</groupId>
		<artifactId>tashow-feign</artifactId>
		<version>${revision}</version>
	</parent>
	<artifactId>tashow-product-api</artifactId>
	<packaging>jar</packaging>

	<name>${project.artifactId}</name>
	<description>
		infra 模块 API，暴露给其它模块调用
	</description>

	<dependencies>
		<dependency>
			<groupId>com.tashow.cloud</groupId>
			<artifactId>tashow-common</artifactId>
		</dependency>

		<!-- 参数校验 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-validation</artifactId>
			<optional>true</optional>
		</dependency>

		<dependency>
			<groupId>jakarta.validation</groupId>
			<artifactId>jakarta.validation-api</artifactId>
		</dependency>

		<!-- RPC 远程调用相关 -->
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-openfeign</artifactId>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.mybatis</groupId>
			<artifactId>mybatis</artifactId>
			<version>3.5.13</version> <!-- 推荐使用最新稳定版本 -->
		</dependency>
		<!-- 防止进入swagger页面报类型转换错误，排除3.0.0中的引用，手动增加1.6.2版本 -->
		<dependency>
			<groupId>io.swagger</groupId>
			<artifactId>swagger-models</artifactId>
			<version>1.6.2</version>
		</dependency>
		<!-- Swagger Core -->
		<dependency>
			<groupId>io.swagger.core.v3</groupId>
			<artifactId>swagger-core</artifactId>
			<version>2.2.20</version>
		</dependency>

		<!-- Swagger Models -->
		<dependency>
			<groupId>io.swagger.core.v3</groupId>
			<artifactId>swagger-models</artifactId>
			<version>2.2.20</version>
		</dependency>
		<!-- EasyExcel 核心库 -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>easyexcel</artifactId>
			<version>4.0.3</version>
		</dependency>
		<dependency>
			<groupId>org.mybatis</groupId>
			<artifactId>mybatis</artifactId>
			<version>3.5.9</version>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-annotation</artifactId>
			<version>3.5.9</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.tashow.cloud</groupId>
			<artifactId>tashow-data-mybatis</artifactId>
		</dependency>
	</dependencies>

</project>
